Index: trunk/sources/HeuristicLab.Data/3.3/StringArray.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/StringArray.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/StringArray.cs	(revision 3048)
@@ -28,8 +28,8 @@
 
 namespace HeuristicLab.Data {
-  [Item("StringArrayData", "Represents an array of strings.")]
+  [Item("StringArray", "Represents an array of strings.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class StringArrayData : Item, IEnumerable, IStringConvertibleArrayData {
+  public sealed class StringArray : Item, IEnumerable, IStringConvertibleArray {
     [Storable]
     private string[] array;
@@ -56,13 +56,13 @@
     }
 
-    public StringArrayData() {
+    public StringArray() {
       array = new string[0];
     }
-    public StringArrayData(int length) {
+    public StringArray(int length) {
       array = new string[length];
       for (int i = 0; i < array.Length; i++)
         array[i] = string.Empty;
     }
-    public StringArrayData(string[] elements) {
+    public StringArray(string[] elements) {
       if (elements == null) throw new ArgumentNullException();
       array = new string[elements.Length];
@@ -70,5 +70,5 @@
         array[i] = elements[i] == null ? string.Empty : elements[i];
     }
-    private StringArrayData(StringArrayData elements) {
+    private StringArray(StringArray elements) {
       if (elements == null) throw new ArgumentNullException();
       array = (string[])elements.array.Clone();
@@ -76,5 +76,5 @@
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      StringArrayData clone = new StringArrayData(this);
+      StringArray clone = new StringArray(this);
       cloner.RegisterClonedObject(this, clone);
       return clone;
@@ -97,11 +97,11 @@
     }
 
-    #region IStringConvertibleArrayData Members
-    int IStringConvertibleArrayData.Length {
+    #region IStringConvertibleArray Members
+    int IStringConvertibleArray.Length {
       get { return Length; }
       set { Length = value; }
     }
 
-    bool IStringConvertibleArrayData.Validate(string value, out string errorMessage) {
+    bool IStringConvertibleArray.Validate(string value, out string errorMessage) {
       if (value == null) {
         errorMessage = "Invalid Value (string must not be null)";
@@ -112,8 +112,8 @@
       }
     }
-    string IStringConvertibleArrayData.GetValue(int index) {
+    string IStringConvertibleArray.GetValue(int index) {
       return this[index];
     }
-    bool IStringConvertibleArrayData.SetValue(string value, int index) {
+    bool IStringConvertibleArray.SetValue(string value, int index) {
       if (value != null) {
         this[index] = value;
Index: trunk/sources/HeuristicLab.Data/3.3/StringMatrix.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/StringMatrix.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/StringMatrix.cs	(revision 3048)
@@ -28,8 +28,8 @@
 
 namespace HeuristicLab.Data {
-  [Item("StringMatrixData", "Represents a matrix of strings.")]
+  [Item("StringMatrix", "Represents a matrix of strings.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class StringMatrixData : Item, IEnumerable, IStringConvertibleMatrixData {
+  public sealed class StringMatrix : Item, IEnumerable, IStringConvertibleMatrix {
     [Storable]
     private string[,] array;
@@ -70,8 +70,8 @@
     }
 
-    public StringMatrixData() {
+    public StringMatrix() {
       array = new string[0, 0];
     }
-    public StringMatrixData(int rows, int columns) {
+    public StringMatrix(int rows, int columns) {
       array = new string[rows, columns];
       for (int i = 0; i < array.GetLength(0); i++) {
@@ -80,5 +80,5 @@
       }
     }
-    public StringMatrixData(string[,] elements) {
+    public StringMatrix(string[,] elements) {
       if (elements == null) throw new ArgumentNullException();
       array = new string[elements.GetLength(0), elements.GetLength(1)];
@@ -88,5 +88,5 @@
       }
     }
-    private StringMatrixData(StringMatrixData elements) {
+    private StringMatrix(StringMatrix elements) {
       if (elements == null) throw new ArgumentNullException();
       array = (string[,])elements.array.Clone();
@@ -94,5 +94,5 @@
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      StringMatrixData clone = new StringMatrixData(this);
+      StringMatrix clone = new StringMatrix(this);
       cloner.RegisterClonedObject(this, clone);
       return clone;
@@ -118,15 +118,15 @@
     }
 
-    #region IStringConvertibleMatrixData Members
-    int IStringConvertibleMatrixData.Rows {
+    #region IStringConvertibleMatrix Members
+    int IStringConvertibleMatrix.Rows {
       get { return Rows; }
       set { Rows = value; }
     }
-    int IStringConvertibleMatrixData.Columns {
+    int IStringConvertibleMatrix.Columns {
       get { return Columns; }
       set { Columns = value; }
     }
 
-    bool IStringConvertibleMatrixData.Validate(string value, out string errorMessage) {
+    bool IStringConvertibleMatrix.Validate(string value, out string errorMessage) {
       if (value == null) {
         errorMessage = "Invalid Value (string must not be null)";
@@ -137,8 +137,8 @@
       }
     }
-    string IStringConvertibleMatrixData.GetValue(int rowIndex, int columIndex) {
+    string IStringConvertibleMatrix.GetValue(int rowIndex, int columIndex) {
       return this[rowIndex, columIndex];
     }
-    bool IStringConvertibleMatrixData.SetValue(string value, int rowIndex, int columnIndex) {
+    bool IStringConvertibleMatrix.SetValue(string value, int rowIndex, int columnIndex) {
       if (value != null) {
         this[rowIndex, columnIndex] = value;
Index: trunk/sources/HeuristicLab.Data/3.3/StringValue.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/StringValue.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/StringValue.cs	(revision 3048)
@@ -25,8 +25,8 @@
 
 namespace HeuristicLab.Data {
-  [Item("StringData", "Represents a string.")]
+  [Item("StringValue", "Represents a string.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class StringData : Item, IComparable, IStringConvertibleData {
+  public sealed class StringValue : Item, IComparable, IStringConvertibleValue {
     [Storable]
     private string value;
@@ -43,13 +43,13 @@
     }
 
-    public StringData() {
+    public StringValue() {
       this.value = string.Empty;
     }
-    public StringData(string value) {
+    public StringValue(string value) {
       this.value = value != null ? value : string.Empty;
     }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      StringData clone = new StringData(Value);
+      StringValue clone = new StringValue(Value);
       cloner.RegisterClonedObject(this, clone);
       return clone;
@@ -61,5 +61,5 @@
 
     public int CompareTo(object obj) {
-      StringData other = obj as StringData;
+      StringValue other = obj as StringValue;
       if (other != null)
         return Value.CompareTo(other.Value);
@@ -75,6 +75,6 @@
     }
 
-    #region IStringConvertibleData Members
-    bool IStringConvertibleData.Validate(string value, out string errorMessage) {
+    #region IStringConvertibleValue Members
+    bool IStringConvertibleValue.Validate(string value, out string errorMessage) {
       if (value == null) {
         errorMessage = "Invalid Value (string must not be null)";
@@ -85,8 +85,8 @@
       }
     }
-    string IStringConvertibleData.GetValue() {
+    string IStringConvertibleValue.GetValue() {
       return Value;
     }
-    bool IStringConvertibleData.SetValue(string value) {
+    bool IStringConvertibleValue.SetValue(string value) {
       if (value != null) {
         Value = value;
Index: trunk/sources/HeuristicLab.Data/3.3/TimeSpanValue.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/TimeSpanValue.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/TimeSpanValue.cs	(revision 3048)
@@ -26,13 +26,13 @@
 
 namespace HeuristicLab.Data {
-  [Item("TimeSpanData", "Represents a duration of time.")]
+  [Item("TimeSpanValue", "Represents a duration of time.")]
   [Creatable("Test")]
   [StorableClass]
-  public sealed class TimeSpanData : ValueTypeData<TimeSpan>, IComparable, IStringConvertibleData {
-    public TimeSpanData() : base() { }
-    public TimeSpanData(TimeSpan value) : base(value) { }
+  public sealed class TimeSpanValue : ValueTypeValue<TimeSpan>, IComparable, IStringConvertibleValue {
+    public TimeSpanValue() : base() { }
+    public TimeSpanValue(TimeSpan value) : base(value) { }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      TimeSpanData clone = new TimeSpanData(Value);
+      TimeSpanValue clone = new TimeSpanValue(Value);
       cloner.RegisterClonedObject(this, clone);
       return clone;
@@ -40,5 +40,5 @@
 
     public int CompareTo(object obj) {
-      TimeSpanData other = obj as TimeSpanData;
+      TimeSpanValue other = obj as TimeSpanValue;
       if (other != null)
         return Value.CompareTo(other.Value);
@@ -47,6 +47,6 @@
     }
 
-    #region IStringConvertibleData Members
-    bool IStringConvertibleData.Validate(string value, out string errorMessage) {
+    #region IStringConvertibleValue Members
+    bool IStringConvertibleValue.Validate(string value, out string errorMessage) {
       TimeSpan val;
       bool valid = TimeSpan.TryParse(value, out val);
@@ -61,8 +61,8 @@
       return valid;
     }
-    string IStringConvertibleData.GetValue() {
+    string IStringConvertibleValue.GetValue() {
       return Value.ToString();
     }
-    bool IStringConvertibleData.SetValue(string value) {
+    bool IStringConvertibleValue.SetValue(string value) {
       TimeSpan val;
       if (TimeSpan.TryParse(value, out val)) {
Index: trunk/sources/HeuristicLab.Data/3.3/ValueTypeArray.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/ValueTypeArray.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/ValueTypeArray.cs	(revision 3048)
@@ -28,7 +28,7 @@
 
 namespace HeuristicLab.Data {
-  [Item("ValueTypeArrayData<T>", "A base class for representing arrays of value types.")]
+  [Item("ValueTypeArray<T>", "A base class for representing arrays of value types.")]
   [StorableClass]
-  public class ValueTypeArrayData<T> : Item, IEnumerable where T : struct {
+  public class ValueTypeArray<T> : Item, IEnumerable where T : struct {
     [Storable]
     private T[] array;
@@ -53,15 +53,15 @@
     }
 
-    public ValueTypeArrayData() {
+    public ValueTypeArray() {
       array = new T[0];
     }
-    public ValueTypeArrayData(int length) {
+    public ValueTypeArray(int length) {
       array = new T[length];
     }
-    public ValueTypeArrayData(T[] elements) {
+    public ValueTypeArray(T[] elements) {
       if (elements == null) throw new ArgumentNullException();
       array = (T[])elements.Clone();
     }
-    protected ValueTypeArrayData(ValueTypeArrayData<T> elements) {
+    protected ValueTypeArray(ValueTypeArray<T> elements) {
       if (elements == null) throw new ArgumentNullException();
       array = (T[])elements.array.Clone();
@@ -69,5 +69,5 @@
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      ValueTypeArrayData<T> clone = (ValueTypeArrayData<T>)base.Clone(cloner);
+      ValueTypeArray<T> clone = (ValueTypeArray<T>)base.Clone(cloner);
       clone.array = (T[])array.Clone();
       return clone;
Index: trunk/sources/HeuristicLab.Data/3.3/ValueTypeMatrix.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/ValueTypeMatrix.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/ValueTypeMatrix.cs	(revision 3048)
@@ -28,7 +28,7 @@
 
 namespace HeuristicLab.Data {
-  [Item("ValueTypeMatrixData<T>", "A base class for representing matrices of value types.")]
+  [Item("ValueTypeMatrix<T>", "A base class for representing matrices of value types.")]
   [StorableClass]
-  public class ValueTypeMatrixData<T> : Item, IEnumerable where T : struct {
+  public class ValueTypeMatrix<T> : Item, IEnumerable where T : struct {
     [Storable]
     private T[,] array;
@@ -67,15 +67,15 @@
     }
 
-    public ValueTypeMatrixData() {
+    public ValueTypeMatrix() {
       array = new T[0, 0];
     }
-    public ValueTypeMatrixData(int rows, int columns) {
+    public ValueTypeMatrix(int rows, int columns) {
       array = new T[rows, columns];
     }
-    public ValueTypeMatrixData(T[,] elements) {
+    public ValueTypeMatrix(T[,] elements) {
       if (elements == null) throw new ArgumentNullException();
       array = (T[,])elements.Clone();
     }
-    protected ValueTypeMatrixData(ValueTypeMatrixData<T> elements) {
+    protected ValueTypeMatrix(ValueTypeMatrix<T> elements) {
       if (elements == null) throw new ArgumentNullException();
       array = (T[,])elements.array.Clone();
@@ -83,5 +83,5 @@
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      ValueTypeMatrixData<T> clone = (ValueTypeMatrixData<T>)base.Clone(cloner);
+      ValueTypeMatrix<T> clone = (ValueTypeMatrix<T>)base.Clone(cloner);
       clone.array = (T[,])array.Clone();
       return clone;
Index: trunk/sources/HeuristicLab.Data/3.3/ValueTypeValue.cs
===================================================================
--- trunk/sources/HeuristicLab.Data/3.3/ValueTypeValue.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Data/3.3/ValueTypeValue.cs	(revision 3048)
@@ -25,7 +25,7 @@
 
 namespace HeuristicLab.Data {
-  [Item("ValueTypeData<T>", "A base class for representing value types.")]
+  [Item("ValueTypeValue<T>", "A base class for representing value types.")]
   [StorableClass]
-  public class ValueTypeData<T> : Item where T : struct {
+  public class ValueTypeValue<T> : Item where T : struct {
     [Storable]
     private T value;
@@ -40,13 +40,13 @@
     }
 
-    public ValueTypeData() {
+    public ValueTypeValue() {
       this.value = default(T);
     }
-    public ValueTypeData(T value) {
+    public ValueTypeValue(T value) {
       this.value = value;
     }
 
     public override IDeepCloneable Clone(Cloner cloner) {
-      ValueTypeData<T> clone = (ValueTypeData<T>)base.Clone(cloner);
+      ValueTypeValue<T> clone = (ValueTypeValue<T>)base.Clone(cloner);
       clone.value = value;
       return clone;
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorCreator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorCreator.cs	(revision 3048)
@@ -37,9 +37,9 @@
       get { return (LookupParameter<IRandom>)Parameters["Random"]; }
     }
-    public ILookupParameter<BoolArrayData> BinaryVectorParameter {
-      get { return (ILookupParameter<BoolArrayData>)Parameters["BinaryVector"]; }
+    public ILookupParameter<BoolArray> BinaryVectorParameter {
+      get { return (ILookupParameter<BoolArray>)Parameters["BinaryVector"]; }
     }
-    public IValueLookupParameter<IntData> LengthParameter {
-      get { return (IValueLookupParameter<IntData>)Parameters["Length"]; }
+    public IValueLookupParameter<IntValue> LengthParameter {
+      get { return (IValueLookupParameter<IntValue>)Parameters["Length"]; }
     }
 
@@ -47,6 +47,6 @@
       : base() {
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator which should be used for stochastic manipulation operators."));
-      Parameters.Add(new LookupParameter<IntArrayData>("BinaryVector", "The vector which should be manipulated."));
-      Parameters.Add(new ValueLookupParameter<IntData>("Length", "The length of the vector."));
+      Parameters.Add(new LookupParameter<IntArray>("BinaryVector", "The vector which should be manipulated."));
+      Parameters.Add(new ValueLookupParameter<IntValue>("Length", "The length of the vector."));
     }
 
@@ -56,5 +56,5 @@
     }
 
-    protected abstract BoolArrayData Create(IRandom random, IntData length);
+    protected abstract BoolArray Create(IRandom random, IntValue length);
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorCrossover.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorCrossover.cs	(revision 3048)
@@ -37,9 +37,9 @@
       get { return (LookupParameter<IRandom>)Parameters["Random"]; }
     }
-    public ILookupParameter<ItemArray<BoolArrayData>> ParentsParameter {
-      get { return (SubScopesLookupParameter<BoolArrayData>)Parameters["Parents"]; }
+    public ILookupParameter<ItemArray<BoolArray>> ParentsParameter {
+      get { return (SubScopesLookupParameter<BoolArray>)Parameters["Parents"]; }
     }
-    public ILookupParameter<BoolArrayData> ChildParameter {
-      get { return (ILookupParameter<BoolArrayData>)Parameters["Child"]; }
+    public ILookupParameter<BoolArray> ChildParameter {
+      get { return (ILookupParameter<BoolArray>)Parameters["Child"]; }
     }
 
@@ -47,6 +47,6 @@
       : base() {
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator which should be used for stochastic crossover operators."));
-      Parameters.Add(new SubScopesLookupParameter<IntArrayData>("Parents", "The parent vectors which should be crossed."));
-      Parameters.Add(new LookupParameter<IntArrayData>("Child", "The child vector resulting from the crossover."));
+      Parameters.Add(new SubScopesLookupParameter<IntArray>("Parents", "The parent vectors which should be crossed."));
+      Parameters.Add(new LookupParameter<IntArray>("Child", "The child vector resulting from the crossover."));
     }
 
@@ -56,5 +56,5 @@
     }
 
-    protected abstract BoolArrayData Cross(IRandom random, ItemArray<BoolArrayData> parents);
+    protected abstract BoolArray Cross(IRandom random, ItemArray<BoolArray> parents);
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorManipulator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/BinaryVectorManipulator.cs	(revision 3048)
@@ -37,6 +37,6 @@
       get { return (LookupParameter<IRandom>)Parameters["Random"]; }
     }
-    public ILookupParameter<BoolArrayData> BinaryVectorParameter {
-      get { return (ILookupParameter<BoolArrayData>)Parameters["BinaryVector"]; }
+    public ILookupParameter<BoolArray> BinaryVectorParameter {
+      get { return (ILookupParameter<BoolArray>)Parameters["BinaryVector"]; }
     }
 
@@ -44,5 +44,5 @@
       : base() {
       Parameters.Add(new LookupParameter<IRandom>("Random", "The pseudo random number generator which should be used for stochastic manipulation operators."));
-      Parameters.Add(new LookupParameter<IntArrayData>("BinaryVector", "The vector which should be manipulated."));
+      Parameters.Add(new LookupParameter<IntArray>("BinaryVector", "The vector which should be manipulated."));
     }
 
@@ -52,5 +52,5 @@
     }
 
-    protected abstract void Manipulate(IRandom random, BoolArrayData binaryVector);
+    protected abstract void Manipulate(IRandom random, BoolArray binaryVector);
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/HeuristicLab.Encodings.BinaryVectors-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/HeuristicLab.Encodings.BinaryVectors-3.3.csproj	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/HeuristicLab.Encodings.BinaryVectors-3.3.csproj	(revision 3048)
@@ -32,4 +32,36 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
   </PropertyGroup>
   <ItemGroup>
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorCreator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorCreator.cs	(revision 3048)
@@ -29,6 +29,6 @@
   /// </summary>
   public interface IBinaryVectorCreator : IBinaryVectorOperator, ISolutionCreator {
-    IValueLookupParameter<IntData> LengthParameter { get; }
-    ILookupParameter<BoolArrayData> BinaryVectorParameter { get; }
+    IValueLookupParameter<IntValue> LengthParameter { get; }
+    ILookupParameter<BoolArray> BinaryVectorParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorCrossover.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorCrossover.cs	(revision 3048)
@@ -29,6 +29,6 @@
   /// </summary>
   public interface IBinaryVectorCrossover : IBinaryVectorOperator, ICrossover {
-    ILookupParameter<ItemArray<BoolArrayData>> ParentsParameter { get; }
-    ILookupParameter<BoolArrayData> ChildParameter { get; }
+    ILookupParameter<ItemArray<BoolArray>> ParentsParameter { get; }
+    ILookupParameter<BoolArray> ChildParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorManipulator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Interfaces/IBinaryVectorManipulator.cs	(revision 3048)
@@ -29,5 +29,5 @@
   /// </summary>
   public interface IBinaryVectorManipulator : IBinaryVectorOperator, IManipulator {
-    ILookupParameter<BoolArrayData> BinaryVectorParameter { get; }
+    ILookupParameter<BoolArray> BinaryVectorParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Tests/Auxiliary.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Tests/Auxiliary.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Tests/Auxiliary.cs	(revision 3048)
@@ -25,5 +25,5 @@
 namespace HeuristicLab.Encodings.IntVector_33.Tests {
   public static class Auxiliary {
-    public static bool BoolVectorIsEqualByPosition(BoolArrayData p1, BoolArrayData p2) {
+    public static bool BoolVectorIsEqualByPosition(BoolArray p1, BoolArray p2) {
       bool equal = (p1.Length == p2.Length);
       if (equal) {
Index: trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Tests/HeuristicLab.Encodings.BinaryVectors-3.3.Tests.csproj
===================================================================
--- trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Tests/HeuristicLab.Encodings.BinaryVectors-3.3.Tests.csproj	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.BinaryVectors/3.3/Tests/HeuristicLab.Encodings.BinaryVectors-3.3.Tests.csproj	(revision 3048)
@@ -30,4 +30,36 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
   </PropertyGroup>
   <ItemGroup>
Index: trunk/sources/HeuristicLab.Encodings.IntVector/3.3/Creators/UniformRandomIntVectorCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.IntVector/3.3/Creators/UniformRandomIntVectorCreator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.IntVector/3.3/Creators/UniformRandomIntVectorCreator.cs	(revision 3048)
@@ -43,9 +43,9 @@
     /// <param name="max">The maximum value of the sampling range for each vector element (exclusive).</param>
     /// <returns>The newly created integer vector.</returns>
-    public static IntArrayData Apply(IRandom random, int length, int min, int max) {
+    public static IntArray Apply(IRandom random, int length, int min, int max) {
       int[] result = new int[length];
       for (int i = 0; i < length; i++)
         result[i] = random.Next(min, max);
-      return new IntArrayData(result);
+      return new IntArray(result);
     }
 
@@ -58,5 +58,5 @@
     /// <param name="maximum">The maximum value of the sampling range for each vector element (exclusive).</param>
     /// <returns>The newly created int vector.</returns>
-    protected override IntArrayData Create(IRandom random, IntData length, IntData minimum, IntData maximum) {
+    protected override IntArray Create(IRandom random, IntValue length, IntValue minimum, IntValue maximum) {
       return Apply(random, length.Value, minimum.Value, maximum.Value);
     }
Index: trunk/sources/HeuristicLab.Encodings.IntVector/3.3/Crossovers/DiscreteCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.IntVector/3.3/Crossovers/DiscreteCrossover.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.IntVector/3.3/Crossovers/DiscreteCrossover.cs	(revision 3048)
@@ -45,5 +45,5 @@
     /// <param name="parent2">The second parent for the crossover operation.</param>
     /// <returns>The newly created integer vector, resulting from the crossover operation.</returns>
-    public static IntArrayData Apply(IRandom random, IntArrayData parent1, IntArrayData parent2) {
+    public static IntArray Apply(IRandom random, IntArray parent1, IntArray parent2) {
       if(parent1.Length != parent2.Length)
         throw new ArgumentException("DiscreteCrossover: The parents are of different length.");
@@ -58,5 +58,5 @@
           result[i] = parent2[i];
       }
-      return new IntArrayData(result);
+      return new IntArray(result);
     }
 
@@ -68,5 +68,5 @@
     /// <param name="parents">An array containing the two integer vectors that should be crossed.</param>
     /// <returns>The newly created integer vector, resulting from the crossover operation.</returns>
-    protected override IntArrayData Cross(IRandom random, ItemArray<IntArrayData> parents) {
+    protected override IntArray Cross(IRandom random, ItemArray<IntArray> parents) {
       if (parents.Length != 2) throw new ArgumentException("ERROR in DiscreteCrossover: The number of parents is not equal to 2");
       return Apply(random, parents[0], parents[1]);
Index: trunk/sources/HeuristicLab.Encodings.IntVector/3.3/Crossovers/SinglePointCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Encodings.IntVector/3.3/Crossovers/SinglePointCrossover.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Encodings.IntVector/3.3/Crossovers/SinglePointCrossover.cs	(revision 3048)
@@ -45,5 +45,5 @@
     /// <param name="parent2">The second parent for crossover.</param>
     /// <returns>The newly created integer vector, resulting from the single point crossover.</returns>
-    public static IntArrayData Apply(IRandom random, IntArrayData parent1, IntArrayData parent2) {
+    public static IntArray Apply(IRandom random, IntArray parent1, IntArray parent2) {
       if (parent1.Length != parent2.Length)
         throw new ArgumentException("DiscreteCrossover: The parents are of different length.");
@@ -58,5 +58,5 @@
         result[i] = parent2[i];
 
-      return new IntArrayData(result);
+      return new IntArray(result);
     }
 
@@ -69,5 +69,5 @@
     /// <param name="parents">An array containing the two integer vectors that should be crossed.</param>
     /// <returns>The newly created integer vector, resulting from the single point crossover.</returns>
-    protected override IntArrayData Cross(IRandom random, ItemArray<IntArrayData> parents) {
+    protected override IntArray Cross(IRandom random, ItemArray<IntArray> parents) {
       if (parents.Length != 2) throw new ArgumentException("ERROR in SinglePointCrossover: The number of parents is not equal to 2");
       return Apply(random, parents[0], parents[1]);
